#include <e32std.h>
#include <eikenv.h>
#include <rotategear.rsg>
#include <eikappui.h>
#include <eikapp.h>
#include <e32base.h>
#include <sdlapp.h>
#include <unistd.h>
#include <eikenv.h>
#include <stdlib.h>

#if defined (EPOC_AS_APP) && !defined (UIQ3) && !defined(S60V3)
#include "ECompXL.h"
#endif

class CRotateGearApp : public CSDLApp {
public:
	CRotateGearApp();
	~CRotateGearApp();

	TUid AppDllUid() const;
	void PreInitializeAppL()
		{
		char resourcedir[64] ="c:\\resource\\apps\\rotategear\\";
		resourcedir[0] = CEikonEnv::Static()->EikAppUi()->Application()->BitmapStoreName()[0];
		chdir(resourcedir);
		}
#if defined (EPOC_AS_APP)  && !defined (UIQ3) && !defined(S60V3)
	TECompXL    iECompXL;
#endif

#if defined (UIQ3) 
	/**
	 * Returns the resource id to be used to declare the views supported by this UIQ3 app
	 * @return TInt, resource id
	 */
	TInt ViewResourceId();
#endif

};

#ifdef EPOC_AS_APP

// this function is called automatically by the SymbianOS to deliver the new CApaApplication object
#if !defined (UIQ3) && !defined(S60V3)
EXPORT_C 
#endif
CApaApplication* NewApplication() {
	return new CRotateGearApp;
}

#if defined (UIQ3) || defined (S60V3)
#include <eikstart.h>
// E32Main() contains the program's start up code, the entry point for an EXE.
GLDEF_C TInt E32Main() {
 	return EikStart::RunApplication(NewApplication);
}
#endif

#endif // EPOC_AS_APP

#if !defined (UIQ3) && !defined (S60V3)
GLDEF_C  TInt E32Dll(TDllReason) {
	return KErrNone;
}
#endif
CRotateGearApp::CRotateGearApp() {
}

CRotateGearApp::~CRotateGearApp() {
}

/**
 *   Responsible for returning the unique UID of this application
 * @return unique UID for this application in a TUid
 **/
TUid CRotateGearApp::AppDllUid() const {
	
	return TUid::Uid(0xA0003398);
}
#if defined (UIQ3)
#include <RotateGear.rsg>
/**
 * Returns the resource id to be used to declare the views supported by this UIQ3 app
 * @return TInt, resource id
 */
TInt CRotateGearApp::ViewResourceId() {
	
	return R_SDL_VIEW_UI_CONFIGURATIONS;
}
#endif

	
